package com.sinosig.client.usermgr.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import com.sinosig.core.client.model.IORG;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 接口实体[ORG] 对象
 */
public class ORGImpl implements IORG,Serializable{

    /**
     * 
     */
    public String ORGId;

    @JsonIgnore
    public boolean ORGIdDirtyFlag;
    
    /**
     * 
     */
    public String ORGName;

    @JsonIgnore
    public boolean ORGNameDirtyFlag;
    
    /**
     * 
     */
    public String Porgid;

    @JsonIgnore
    public boolean PorgidDirtyFlag;
    
    /**
     * 
     */
    public String Porgname;

    @JsonIgnore
    public boolean PorgnameDirtyFlag;
    
    /**
     * 获取 []
     */
    @JsonProperty("orgid")
    public String getORGId(){
        return ORGId ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("orgid")
    public void setORGId(String  oRGId){
        this.ORGId = oRGId ;
        this.ORGIdDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getORGIdDirtyFlag(){
        return ORGIdDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("orgname")
    public String getORGName(){
        return ORGName ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("orgname")
    public void setORGName(String  oRGName){
        this.ORGName = oRGName ;
        this.ORGNameDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getORGNameDirtyFlag(){
        return ORGNameDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("porgid")
    public String getPorgid(){
        return Porgid ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("porgid")
    public void setPorgid(String  porgid){
        this.Porgid = porgid ;
        this.PorgidDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getPorgidDirtyFlag(){
        return PorgidDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("porgname")
    public String getPorgname(){
        return Porgname ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("porgname")
    public void setPorgname(String  porgname){
        this.Porgname = porgname ;
        this.PorgnameDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getPorgnameDirtyFlag(){
        return PorgnameDirtyFlag ;
    }   

}
